class Transform {
  PImage modifiedImg;
  color c;

  Transform() {
  }

  void init(PImage img) {
    img.loadPixels();
    this.modifiedImg = createImage(img.width, img.height, RGB);
    this.modifiedImg.loadPixels();
  }

  void flip(PImage img) {   
    this.init(img);

    for (int i=0; i<img.width; i++)
      for (int j=0; j<img.height; j++) {
        c = img.get(i, j);
        this.modifiedImg.set(i, img.height-j, c);
      }

    this.modifiedImg.updatePixels();
    image(this.modifiedImg, 0, 0, width, height);
  }

  void rotate(PImage img) {
    this.init(img);

    for (int i=0; i<img.width; i++)
      for (int j=0; j<img.height; j++) {
        c = img.get(i, j);
        this.modifiedImg.set(j, i, c);
      }

    this.modifiedImg.updatePixels(); 
    image( this.modifiedImg, 0, 0, width, height);
  }

  void mirror(PImage img) {
    this.init(img);

    for (int i=0; i<img.width; i++)
      for (int j=0; j<img.height; j++) {
        c = img.get(i, j);
        this.modifiedImg.set(img.width-i, j, c);
      }

    this.modifiedImg.updatePixels();
    image(this.modifiedImg, 0, 0, width, height);
  }
}

